package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TCkPicktaskMapper;
import com.ruoyi.business.domain.TCkPicktask;
import com.ruoyi.business.service.ITCkPicktaskService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author wms
 * @date 2022-10-13
 */
@Service
public class TCkPicktaskServiceImpl extends ServiceImpl<TCkPicktaskMapper, TCkPicktask> implements ITCkPicktaskService
{
    @Autowired
    private TCkPicktaskMapper tCkPicktaskMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param taskid 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TCkPicktask selectTCkPicktaskByTaskid(String taskid)
    {
        return tCkPicktaskMapper.selectTCkPicktaskByTaskid(taskid);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tCkPicktask 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TCkPicktask> selectTCkPicktaskList(TCkPicktask tCkPicktask)
    {
        return tCkPicktaskMapper.selectTCkPicktaskList(tCkPicktask);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tCkPicktask 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTCkPicktask(TCkPicktask tCkPicktask)
    {
        tCkPicktask.setCreateTime(DateUtils.getNowDate());
        return tCkPicktaskMapper.insertTCkPicktask(tCkPicktask);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tCkPicktask 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTCkPicktask(TCkPicktask tCkPicktask)
    {
        return tCkPicktaskMapper.updateTCkPicktask(tCkPicktask);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param taskids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCkPicktaskByTaskids(String taskids)
    {
        return tCkPicktaskMapper.deleteTCkPicktaskByTaskids(Convert.toStrArray(taskids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param taskid 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCkPicktaskByTaskid(String taskid)
    {
        return tCkPicktaskMapper.deleteTCkPicktaskByTaskid(taskid);
    }
}
